ChartDetails (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Class ChartDetails

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem
  Direct Known Subclasses:
    Chart, CombinedPlot

      public abstract class ChartDetails
      extends com.twosigma.beakerx.widget.BeakerxWidget

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphicsActionObject` | `getDetails()`
    `protected GraphicsActionObject` | `getDetailsFromMessage(java.util.HashMap content)`
    `protected java.util.List<? extends Graphics>` | `getGraphics(GraphicsActionObject info, ChartDetails chart)` Taken from code`com.twosigma.beaker.groovy.rest.ChartRest#getGraphics`
    `protected Graphics` | `getGraphicsById(java.util.List<? extends Graphics> graphicsList, java.lang.String graphicsId)` code`com.twosigma.beaker.groovy.rest.ChartRest#getGraphicsById`
    `protected java.lang.String` | `getGraphicsUid(java.util.HashMap content)`
    `protected void` | `onActionDetails(java.util.HashMap content, com.twosigma.beakerx.message.Message message)`
    `protected void` | `openComm()`
    `void` | `setDetails(GraphicsActionObject details)`
    `protected void` | `updateDetails(GraphicsActionObject info)`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate, serializeToJsonObject, serializeToJsonObject`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getModelNameValue, getViewModuleVersion, getViewNameValue, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartDetails

          public ChartDetails()

  - ### Method Detail

    - #### getDetails

          public GraphicsActionObject getDetails()

    - #### setDetails

          public void setDetails(GraphicsActionObject details)

    - #### openComm

          protected void openComm()

      Overrides:
        `openComm` in class `com.twosigma.beakerx.widget.Widget`

    - #### onActionDetails

          protected void onActionDetails(java.util.HashMap content,
                                         com.twosigma.beakerx.message.Message message)

    - #### updateDetails

          protected void updateDetails(GraphicsActionObject info)

    - #### getGraphicsUid

          protected java.lang.String getGraphicsUid(java.util.HashMap content)

    - #### getDetailsFromMessage

          protected GraphicsActionObject getDetailsFromMessage(java.util.HashMap content)

    - #### getGraphics

          protected java.util.List<? extends Graphics> getGraphics(GraphicsActionObject info,
                                                                   ChartDetails chart)

      Taken from code`com.twosigma.beaker.groovy.rest.ChartRest#getGraphics`
      Parameters:
        `info` - GraphicsActionObject
        `chart` - ChartDetails
      Returns:
        list of Graphics for given plot data

    - #### getGraphicsById

          protected Graphics getGraphicsById(java.util.List<? extends Graphics> graphicsList,
                                             java.lang.String graphicsId)

      code`com.twosigma.beaker.groovy.rest.ChartRest#getGraphicsById`
      Parameters:
        `graphicsList` - list of Graphics objects
        `graphicsId` - string with id of Graphics object
      Returns:
        Graphics with given id or null if it wasn't found